#!/bin/bash
name=$1

function nameInput() {
  echo "What is the Store name?"
  read name
}

if [[ "$name" = "" ]]; then
  printf "No 'Name' was inputed\n\n"
  nameInput
fi

cd src/stores
printf "export { default as $name } from './$name'\n" | cat - index.js > temp && mv temp index.js
printf "Name is: $name\n\n"

echo "Generating store file..."
printf "// import { observable, computed, action } from 'mobx'\n\
\n\
class $name {\n\
// Observable is a variable\n\
// @observable variable = true\n\
\n\
// Computed is a value that has been created or changed\n\
// @computed get variableString() { return 'Variable is: ' + this.variable }\n\
\n\
// Action is a function to change a value\n\
// @action toogleVariable() { this.variable = !this.variable }\n\
}\n\
\n\
export default new $name()\n\
" > $name.js

sleep 1
