import React, { Component } from 'react'
import { Provider } from 'mobx-react'
import createBrowserHistory from 'history/createBrowserHistory'
import { RouterStore, syncHistoryWithStore } from 'mobx-react-router'
import store from 'stores'
import { Router } from 'react-router-dom'
import './index.scss'
/*
  This mock is used for Jest and Storybook
  Without it these tools can't access mobx and it's stores
*/
const browserHistory = createBrowserHistory()

const routingStore = new RouterStore()

const history = syncHistoryWithStore(browserHistory, routingStore)

export default InnerComponent => {
  return class Container extends Component {
    static get name() {
      const number = Math.floor(Math.random() * 100000)
      if (InnerComponent.name === 'Injector') {
        return InnerComponent.wrappedComponent.name + '_' + number
      }
      return InnerComponent.name + '_' + number
    }
    render() {
      return (
        <Router history={history}>
          <Provider {...store} routingStore={routingStore}>
            <InnerComponent {...this.props} />
          </Provider>
        </Router>
      )
    }
  }
}
