import React, { Component } from 'react'
import { observer } from 'mobx-react'

import './index.scss'
import './index.css'

//modules
import cssStyles from './index.module.css'
import sassStyles from './index.module.scss'

@observer
class DefaultPage extends Component {
  render() {
    return (
      <div className="App">
        <div className={cssStyles.header}>
          <h2 className="App-title">
            <span>☢ react-scripts-winnin ☢</span>
          </h2>
          <div className="App-subtitle">allow custom config for create-react-app without ejecting</div>
        </div>

        <div>
          <div className={sassStyles.command}>
            <code>create-react-app my-app --scripts-version custom-react-scripts</code>
          </div>

          <p>
            If you want to enable/disable certain features just modify the
            <b> .env</b> file in the root directory of the project.
          </p>

          <b> Styling </b>
          <ul className="configs style-configs">
            <li>
              <code>REACT_APP_SASS=true</code>
              <span>- Enable SASS</span>
            </li>
            <li>
              <code>REACT_APP_CSS_MODULES=true</code>
              <span>- Enable Css modules </span>
            </li>
            <li>
              <code>REACT_APP_SASS_MODULES=true</code>
              <span>- Enable Sass modules </span>
            </li>
          </ul>

          <b>Babel</b>

          <ul className="configs babel-configs">
            <li>
              <code>REACT_APP_BABEL_STAGE_0=true</code>
              <span>- Enable stage-0 preset</span>
            </li>
            <li>
              <code>REACT_APP_DECORATORS=true</code>
              <span>- Enable usage of decorators</span>
            </li>
          </ul>

          <br />
          <br />
        </div>
      </div>
    )
  }
}

export default DefaultPage
